Subject: Re: [PATCH v7 1/2] add `config_set` API for caching config-like files

From: Matthieu Moy <[email-masked]>
Date: Thu, 10 Jul 2014 13:23:09 +0200

Tanay Abhra <[email-masked]> writes:

> Noted, still I want to add that even when GSoC finishes, I won't leave the
> work unfinished. I had said that I wanted to continue being part of the Git
> community and I mean that. :)

This is a good thing, but you shouldn't rely on it for your GSoC. After
the GSoC finishes, you will have much less time for Git.

> I have to decide on what to do next on moving the contents to config.c or not.
> Seeing Junio's comments on the topic seems that he wasn't convinced in the
> first place that we needed a new file. What should we do, as I am sending the
> revised patch tomorrow? The move will be trivial, just cutting and pasting the
> contents. Other approaches you mentioned are also doable but, after a certain
> amount of retooling. I am open to any method you think would be best.

No strong opinion from me here. I like splitting stuff into relatively
small files, and to me it makes sense to keep the parsing code and the
caching code separate (although config-hash.c is no longer a good name,
config-set.c or config-cache.c would be better). But I can for sure live
with both in the same file.

I guess you'll have to make the decision if others don't give better
argument ;-).

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/